import { HttpClient } from '@angular/common/http';
import { ApiVisa, BaseApiTemplateService } from '../../shared';
import { CashBillFileImportContainerModel } from '../../../../../../models/aggregates/erp/cash-bill-file-import/index';
export declare class CashBillFileImportService extends BaseApiTemplateService<CashBillFileImportContainerModel> {
    constructor(http: HttpClient);
    sampleCommaCSV(authorization: string, apiVisa: ApiVisa): Promise<Blob>;
    samplePipeCSV(authorization: string, apiVisa: ApiVisa): Promise<Blob>;
}
